PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2 [SOLVED]

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Bermudez
Registered User
Posts: 100
Joined: Mon Aug 15, 2011 11:56 pm
Location: Spain
Name: Juan Antonio
Contact:

PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2 [SOLVED]

Post by Bermudez » Sun Nov 18, 2018 9:00 pm

Hello.
I just updated my forum from 3.2.3 to 3.2.4 with no problems. Then I updated the PHP version of the server from 7.1 to 7.2,
and in ACP → System tab → PHP information, I get these warnings in the header:

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/template/context.php on line 204: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
7.2 warning.png

Regards.
Last edited by Bermudez on Mon Dec 10, 2018 12:45 pm, edited 1 time in total.

Bermudez
Registered User
Posts: 100
Joined: Mon Aug 15, 2011 11:56 pm
Location: Spain
Name: Juan Antonio
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by Bermudez » Mon Nov 19, 2018 9:26 am

Hello again.
I just verified that the warning appears in all the options in the "General tasks" section in the "System" tab.

Regards.

User avatar
Siava
Registered User
Posts: 123
Joined: Wed Jan 26, 2005 10:07 am
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by Siava » Mon Nov 19, 2018 9:38 am

phpbb 3.2.4 + php 7.2.12. I see no warnings in this tab.

Bermudez
Registered User
Posts: 100
Joined: Mon Aug 15, 2011 11:56 pm
Location: Spain
Name: Juan Antonio
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by Bermudez » Mon Nov 19, 2018 9:50 am

Siava wrote:
Mon Nov 19, 2018 9:38 am
phpbb 3.2.4 + php 7.2.12. I see no warnings in this tab.
Maybe it's version 7.2.11 the conflictive one, but it is the one that provides the hosting that I have hired. But this is only a supposition of mine.

User avatar
david63
Jr. Extension Validator
Posts: 15087
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by david63 » Mon Nov 19, 2018 11:03 am

My understanding is that phpBB will not support PHP 7.2 until phpBB 3.3 (https://area51.phpbb.com/phpBB/viewtopi ... 91#p305376)
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
WelshPaul
Registered User
Posts: 252
Joined: Tue Aug 19, 2014 2:09 pm

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by WelshPaul » Mon Nov 19, 2018 12:38 pm


User avatar
david63
Jr. Extension Validator
Posts: 15087
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by david63 » Mon Nov 19, 2018 12:56 pm

WelshPaul wrote:
Mon Nov 19, 2018 12:38 pm
Fine here: https://prnt.sc/lk7se1
Do you have debug turned on?
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
WelshPaul
Registered User
Posts: 252
Joined: Tue Aug 19, 2014 2:09 pm

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by WelshPaul » Mon Nov 19, 2018 1:07 pm

david63 wrote:
Mon Nov 19, 2018 12:56 pm
WelshPaul wrote:
Mon Nov 19, 2018 12:38 pm
Fine here: https://prnt.sc/lk7se1
Do you have debug turned on?
Yes I do.

User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 5346
Joined: Tue Oct 30, 2007 10:57 pm
Location: Munich, Germany
Name: Marc
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by Marc » Mon Nov 19, 2018 3:39 pm

Please fill out the Support Request Template and post it back here to enable us to assist you better.
david63 wrote:
Mon Nov 19, 2018 11:03 am
My understanding is that phpBB will not support PHP 7.2 until phpBB 3.3 (https://area51.phpbb.com/phpBB/viewtopi ... 91#p305376)
That is actually incorrect. phpBB 3.2 supports PHP 7.2 since 3.2.2 (see viewtopic.php?f=14&t=2453381).

hubaishan
Translator
Posts: 129
Joined: Sun Apr 10, 2011 2:47 pm
Name: Saeed Hubaishan
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by hubaishan » Mon Nov 19, 2018 5:09 pm

This is a reported unfixed bug from 3.2.3RC1
https://tracker.phpbb.com/browse/PHPBB3-15660

Bermudez
Registered User
Posts: 100
Joined: Mon Aug 15, 2011 11:56 pm
Location: Spain
Name: Juan Antonio
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by Bermudez » Tue Nov 20, 2018 9:17 pm

hubaishan wrote:
Mon Nov 19, 2018 5:09 pm
This is a reported unfixed bug from 3.2.3RC1
https://tracker.phpbb.com/browse/PHPBB3-15660
I did not know it. Thank you!
Marc wrote:
Mon Nov 19, 2018 3:39 pm
Please fill out the Support Request Template and post it back here to enable us to assist you better.
Ok.
Support Request Template
What version of phpBB are you using? phpBB 3.2.4
What is your board's URL? https://ferrosim.es/
Who do you host your board with? 1&1
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.2.3
What extensions do you have installed? About us 2.1.2
Add User 1.0.4
Advanced BBCode Box 3.2.1
AJAX Registration Check 1.0.1
Automatic Topic Subscription 1.1.0
Board3 Portal 2.2.0-b1
Board Rules 2.1.1
Change Post Time 1.0.1
Copyright in footer 1.0.1
Database Optimize & Repair Tool 1.1.3
External Links Open in New Window 1.0.6
Fancybox 1.0.1
Hotschi's Downloads 7.3.2
Logout Redirect 1.0.1
Magic OGP parser 1.0.3
Modbreak 1.1.0
Modern quote 1.0.1
NavBar Search 3.2.3
Notify Admin on Registration 1.0.1
Page Loader 1.0.2
Pages 2.0.2
phpBB Media Embed PlugIn 1.0.2
Post Numbers 1.1.2
Pretty Topic 1.0.1
Privacy protection 0.2.3
Private Message Box Status Bars 2.0.2
Quick Login 1.1.1
Quoted Images as Thumbnails 1.0.1
Quoted where 1.0.2
Scroll To Up and Bottom 1.0.2
SCSS Compiler 1.0.1
Search user topics 1.0.2
Share On 2.0.1
Simple mentions 1.0.3
Slideshow for Header 1.1.0
Stop Forum Spam 1.1.9
Thanks for posts 2.0.6
What styles do you currently have installed? Prosilver (currently disabled); Elegance (currently enabled)
What language(s) is your board currently using? Spanish (Casual Honorifics)
Which database type/version are you using? MySQL 5.5
What is your level of experience? New to PHP but not phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? I changed the PHP version of my hosting server from 7.1 to 7.2.11.
Please describe your problem. In ACP → System tab → PHP information → In all options of General tasks section I get these warnings in the header:
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/template/context.php on line 204: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3314)
Generated by SRT Generator

FlaSerIC
Registered User
Posts: 5
Joined: Tue Nov 27, 2018 9:48 pm

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by FlaSerIC » Sun Dec 09, 2018 10:06 pm

Same here with me: release 3.25RC1 and PHP7.2.11 Switching to 7.1 seems to solve the problem.
Noticed the post regarding reporting the bug.

User avatar
GanstaZ
Jr. Extension Validator
Posts: 658
Joined: Wed Oct 11, 2017 10:29 pm
Location: Zverse

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by GanstaZ » Sun Dec 09, 2018 10:18 pm

Maybe this will help ticket/15904
"When answer lies in the question,.. question becomes redundant!"

User avatar
</Solidjeuh>
Registered User
Posts: 1158
Joined: Tue Mar 29, 2016 3:45 am
Location: Aalst (Belgium)
Name: Andy Dm
Contact:

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by </Solidjeuh> » Sun Dec 09, 2018 10:30 pm

Not a problem here.. PHP 7.2.12 , phpBB 3.2.5 RC.1
We offer fun HTML5 games for young and old.
Register a free account & enjoy all functions!
Save your score, challenge other members or play along with our tournaments.


~~~ https://www.solidjeuh.be ~~~

FlaSerIC
Registered User
Posts: 5
Joined: Tue Nov 27, 2018 9:48 pm

Re: PHP Warning in ACP after updating to 3.2.4 and to PHP 7.2

Post by FlaSerIC » Mon Dec 10, 2018 8:24 am

GanstaZ wrote:
Sun Dec 09, 2018 10:18 pm
Maybe this will help ticket/15904
Always nice to have the right code! It corrected the problem. Thx.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: No registered users and 27 guests